# Microsemi Tcl Script
# libero
# Date: Mon Jul 30 12:30:24 2018


new_project -location {./diot_wic_demo} -name {diot_wic_demo} -project_description {} -block_mode 0 -standalone_peripheral_initialization 0 -use_enhanced_constraint_flow 0 -hdl {VHDL} -family {ProASIC3E} -die {A3PE3000} -package {896 FBGA} -speed {STD} -die_voltage {1.5} -part_range {COM} -adv_options {IO_DEFT_STD:LVCMOS 2.5V} -adv_options {RESTRICTPROBEPINS:1} -adv_options {RESTRICTSPIPINS:0} -adv_options {TEMPR:COM} -adv_options {VCCI_1.5_VOLTR:COM} -adv_options {VCCI_1.8_VOLTR:COM} -adv_options {VCCI_2.5_VOLTR:COM} -adv_options {VCCI_3.3_VOLTR:COM} -adv_options {VOLTR:COM} 
import_files \
         -convert_EDN_to_HDL 0 
create_links \
         -convert_EDN_to_HDL 0 \
         -hdl_source {../top/diot_wic_demo/diot_wic_top.vhd} \
         -hdl_source {../rtl/wic_modules/wic_pkg.vhd} \
         -hdl_source {../ip_cores/general-cores/modules/common/gc_sync_ffs.vhd} \
         -hdl_source {../ip_cores/general-cores/modules/wishbone/wb_i2c_master/i2c_master_bit_ctrl.vhd} \
         -hdl_source {../ip_cores/general-cores/modules/wishbone/wb_i2c_master/i2c_master_byte_ctrl.vhd} \
         -hdl_source {../rtl/wic_modules/wic_main.vhd} \
         -hdl_source {../rtl/wic_modules/wic_simulator.vhd} \
         -hdl_source {../rtl/diot_diag/diag_pkg.vhd} \
         -hdl_source {../rtl/diot_diag/diot_diag.vhd}
import_files \
         -convert_EDN_to_HDL 0 
create_links \
         -convert_EDN_to_HDL 0 \
         -pdc {../top/diot_wic_demo/diot_wic_demo.pdc} \
         -sdc {../top/diot_wic_demo/diot_wic_demo.sdc} 
organize_tool_files -tool {SYNTHESIZE} -file {../top/diot_wic_demo/diot_wic_demo.sdc} -module {diot_wic_top::work} -input_type {constraint} 
organize_tool_files -tool {COMPILE} -file {../top/diot_wic_demo/diot_wic_demo.pdc} -module {diot_wic_top::work} -input_type {constraint} 
organize_tool_files -tool {COMPILE} -file {../top/diot_wic_demo/diot_wic_demo.pdc} -file {../top/diot_wic_demo/diot_wic_demo.sdc} -module {diot_wic_top::work} -input_type {constraint} 
save_project 
